io.vertx.grpc.server

## Class GrpcServerOptions

- java.lang.Object
- - io.vertx.grpc.server.GrpcServerOptions

-     public class GrpcServerOptions
      extends Object

  Grpc server options.
  Author:
    Julien Viet

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static long` | `DEFAULT_MAX_MESSAGE_SIZE` The default maximum message size in bytes accepted from a client = `256KB`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GrpcServerOptions()`
    `GrpcServerOptions(GrpcServerOptions options)`
    `GrpcServerOptions(JsonObject json)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getMaxMessageSize()`
    `GrpcServerOptions` | `setMaxMessageSize(long maxMessageSize)` Set the maximum message size in bytes accepted from a client, the maximum value is `0xFFFFFFFF`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_MAX_MESSAGE_SIZE

          public static final long DEFAULT_MAX_MESSAGE_SIZE

      The default maximum message size in bytes accepted from a client = `256KB`
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### GrpcServerOptions

          public GrpcServerOptions()

    - #### GrpcServerOptions

          public GrpcServerOptions(GrpcServerOptions options)

    - #### GrpcServerOptions

          public GrpcServerOptions(JsonObject json)

  - ### Method Detail

    - #### getMaxMessageSize

          public long getMaxMessageSize()

      Returns:
        the maximum message size in bytes accepted by the server

    - #### setMaxMessageSize

          public GrpcServerOptions setMaxMessageSize(long maxMessageSize)

      Set the maximum message size in bytes accepted from a client, the maximum value is `0xFFFFFFFF`
      Parameters:
        `maxMessageSize` - the size
      Returns:
        a reference to this, so the API can be used fluently

Copyright © 2025 Eclipse. All rights reserved.